Gtk2::MenuToolButton(3)

NAME
Gtk2::MenuToolButton

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton
                                     +----Gtk2::MenuToolButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  toolitem = Gtk2::MenuToolButton->new ($icon_widget, $label)

    * $icon_widget (Gtk2::Widget or undef)
    * $label (string or undef)

  toolitem = Gtk2::MenuToolButton->new_from_stock ($stock_id)

    * $stock_id (string)

  $button->set_arrow_tooltip ($tooltips, $tip_text, $tip_private)
    * $tooltips (Gtk2::Tooltips)
    * $tip_text (string)
    * $tip_private (string)

  widget or undef = $button->get_menu

  $button->set_menu ($menu)

    * $menu (Gtk2::Widget or undef)

PROPERTIES
'menu' (Gtk2::Menu : readable / writable / private)
    The dropdown menu

SIGNALS

show-menu (Gtk2::MenuToolButton)

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::ToolItem, Gtk2::ToolButton

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.